oro_api:
    config_files:
        test_new:
            file_name: api_test_new.yml
            request_type: ['test_new']
        test_override:
            file_name: [api_test_override.yml, api.yml]
            request_type: ['test_override']
        test_no_api_doc_view:
            file_name: [api_test_no_api_doc_view.yml, api.yml]
            request_type: ['test_no_api_doc_view']

    api_doc_views:
        test_new_rest_api:
            label: Test API without default api.yml
            headers:
                Accept: application/vnd.api+json
                X-Test-Request-Type: test_new
            request_type: ['rest', 'json_api', 'test_new']
        test_override_rest_api:
            label: Test API with additional api.yml
            underlying_view: rest_json_api
            headers:
                X-Test-Request-Type: test_override
            request_type: ['rest', 'json_api', 'test_override']

    cors:
        allow_credentials: true
        allow_origins:
            - 'https://api.test.com'

    batch_api:
        chunk_size_per_entity:
            Oro\Bundle\ApiBundle\Tests\Functional\Environment\Entity\TestDepartment: 3
        included_data_chunk_size_per_entity:
            Oro\Bundle\ApiBundle\Tests\Functional\Environment\Entity\TestDepartment: 5

    api_doc_data_types:
        test_percent_round: float
        test_percent_100_round: float

    open_api:
        data_types:
            test_percent_round: [number]
            test_percent_100_round: [number]

    form_type_guesses:
        test_percent_round:
            form_type: Symfony\Component\Form\Extension\Core\Type\NumberType
            options:
                scale: 3
                rounding_mode: 0 # ROUND_CEILING
        test_percent_100_round:
            form_type: Oro\Bundle\ApiBundle\Form\Type\Percent100Type
            options:
                scale: 3
                rounding_mode: 0 # ROUND_CEILING
